Create Basis Assignment
POST
/api/v1/manual-entries/basis-assignments
const url = 'https://api.qeychain.xyz/api/v1/manual-entries/basis-assignments';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"lot_id":"example","transaction_id":"example","acquisition_cost_usd":1,"acquisition_date":"2026-04-15T12:00:00Z","method":"user_provided","source_doc_ref":"example","note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.qeychain.xyz/api/v1/manual-entries/basis-assignments \ --header 'Content-Type: application/json' \ --data '{ "lot_id": "example", "transaction_id": "example", "acquisition_cost_usd": 1, "acquisition_date": "2026-04-15T12:00:00Z", "method": "user_provided", "source_doc_ref": "example", "note": "example" }'Create a manual cost basis assignment for a lot or transaction.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
BasisAssignmentCreate
Create a manual cost basis assignment.
object
acquisition_cost_usd
required
Acquisition Cost Usd
Total acquisition cost in USD
number
method
Method
How value was determined
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}